# IPeripheryPaymentsWithFee

Functions to ease deposits and withdrawals of SEI

### Functions[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/IPeripheryPaymentsWithFee#functions) <a href="#functions" id="functions"></a>

#### unwrapWSEIWithFee[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/IPeripheryPaymentsWithFee#unwrapweth9withfee) <a href="#unwrapweth9withfee" id="unwrapweth9withfee"></a>

```solidity
  function unwrapWSEIWithFee(
  ) external
```

Unwraps the contract's WSEI balance and sends it to recipient as SEI, with a percentage between 0 (exclusive), and 1 (inclusive) going to feeRecipient

The amountMinimum parameter prevents malicious contracts from stealing WSEI from users.

#### sweepTokenWithFee[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/IPeripheryPaymentsWithFee#sweeptokenwithfee) <a href="#sweeptokenwithfee" id="sweeptokenwithfee"></a>

```solidity
  function sweepTokenWithFee(
  ) external
```

Transfers the full amount of a token held by this contract to recipient, with a percentage between 0 (exclusive) and 1 (inclusive) going to feeRecipient

The amountMinimum parameter prevents malicious contracts from stealing the token from users


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/periphery/interfaces/iperipherypaymentswithfee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
